﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace ScheduleSample.Controllers
{
    public class HomeController : Controller
    {
        public ActionResult Index()
        {
            List<DataSource> data = new List<DataSource>();
            data.Add(new DataSource(11, "Meeting", "", new DateTime(2018, 4, 7, 14, 0, 0), new DateTime(2018, 4, 7, 15, 0, 0), false, false, ""));
            data.Add(new DataSource(12, "Birthday Party", "", new DateTime(2018, 4, 5, 14, 0, 0), new DateTime(2018, 4, 5, 11, 0, 0), false, false, ""));
            data.Add(new DataSource(13, "Travelling", "", new DateTime(2018, 4, 5, 14, 0, 0), new DateTime(2018, 4, 5, 15, 0, 0), false, false, ""));
            data.Add(new DataSource(14, "Product Demo", "", new DateTime(2018, 4, 6, 14, 0, 0), new DateTime(2018, 4, 6, 15, 0, 0), false, false, ""));
            data.Add(new DataSource(15, "Watching Movie", "", new DateTime(2018, 4, 7, 12, 0, 0), new DateTime(2018, 4, 7, 14, 0, 0), false, false, ""));
            data.Add(new DataSource(16, "Client Meeting", "", new DateTime(2018, 4, 9, 10, 0, 0), new DateTime(2018, 4, 9, 11, 0, 0), false, false, ""));
            data.Add(new DataSource(17, "Meeting", "", new DateTime(2018, 4, 10, 10, 0, 0), new DateTime(2018, 4, 10, 11, 0, 0), false, false, ""));
            data.Add(new DataSource(18, "Birthday Party", "", new DateTime(2018, 4, 26, 10, 0, 0), new DateTime(2018, 4, 26, 11, 0, 0), false, false, ""));
            data.Add(new DataSource(19, "Travelling", "", new DateTime(2018, 4, 20, 8, 0, 0), new DateTime(2018, 4, 20, 9, 0, 0), false, false, ""));
            data.Add(new DataSource(20, "Product Demo", "", new DateTime(2018, 4, 14, 8, 0, 0), new DateTime(2018, 4, 14, 9, 0, 0), false, false, ""));
            data.Add(new DataSource(21, "Watching Movie", "", new DateTime(2018, 4, 18, 7, 0, 0), new DateTime(2018, 4, 18, 11, 0, 0), false, false, ""));
            data.Add(new DataSource(22, "Client Meeting", "", new DateTime(2018, 4, 15, 8, 0, 0), new DateTime(2018, 4, 15, 9, 0, 0), false, false, ""));
            ViewBag.datasource = data;
            return View(data);
        }

        public class DataSource
        {
            private int id;
            private string subject;
            private string description;
            private DateTime startTime;
            private DateTime endTime;
            private bool allDay;
            private bool recurrence;
            private string recurrenceRule;
            public DataSource(int id, string subject, string description, DateTime startTime, DateTime endTime, bool allDay, bool recurrence, string recurrenceRule)
            {
                this.id = id;
                this.subject = subject;
                this.description = description;
                this.startTime = startTime;
                this.endTime = endTime;
                this.allDay = allDay;
                this.recurrence = recurrence;
                this.recurrenceRule = recurrenceRule;
            }
            public int Id
            {
                get { return id; }
                set { id = value; }
            }
            public string Subject
            {
                get { return subject; }
                set { subject = value; }
            }
            public string Description
            {
                get { return description; }
                set { description = value; }
            }
            public DateTime StartTime
            {
                get { return startTime; }
                set { startTime = value; }
            }
            public DateTime EndTime
            {
                get { return endTime; }
                set { endTime = value; }
            }
            public bool AllDay
            {
                get { return allDay; }
                set { allDay = value; }
            }
            public bool Recurrence
            {
                get { return recurrence; }
                set { recurrence = value; }
            }
            public string RecurrenceRule
            {
                get { return recurrenceRule; }
                set { recurrenceRule = value; }
            }
        }

        public ActionResult About()
        {
            ViewBag.Message = "Your application description page.";

            return View();
        }

        public ActionResult Contact()
        {
            ViewBag.Message = "Your contact page.";

            return View();
        }
    }
}